View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001167aMuleMulti Platformpublic2007-09-07 07:562008-09-26 21:01
Reportercourage 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version2.1.3 
Target VersionFixed in Version 
Summary0001167: Always can't create destination files when finishing the downloading files.
DescriptionIf the file name is not English,
aMule always can't create destination files
when finishing the downloading files,
and I have to rename the *.part file manually.

The part of log about this bug is under(the file name is writed by Traditional chinese):
2007-09-07 13:35:11: Hasher: Starting to create MD4 and AICH hash for file: 043.part
2007-09-07 13:35:12: Hasher: Finished hashing file: 043.part
2007-09-07 13:35:12: Suspending upload of file: 20D2A1D81B2D9B2C1A05DFDD8DEF0F9A
2007-09-07 13:35:12: CFile: Error when opening file (C:\Documents and Settings\courage\My Documents\aMule Downloads\[電子書]一生 要 讀知 的 100 篇 世界 名文.pdf): 檔案名稱、目錄名稱或磁碟區標籤語法錯誤。
2007-09-07 13:35:12: FileIO: Error on file copy. Can't create destination file: C:\Documents and Settings\courage\My Documents\aMule Downloads\[電子書]一生 要 讀知 的 100 篇 世界 名文.pdf
2007-09-07 13:35:12: 在完成檔案 [電子書]一生 要 讀知 的 100 篇 世界 名文.pdf 時遇到意外性檔案錯誤. 檔案已暫停

Additional InformationBesides the error of creating files with system default language,
aMule also can't create destination files with other language like Simplified chinese that is not English or system default language(eMule can handle this issue well).

The part of log about this error is under:
2007-09-07 13:35:12: CFile: Error when opening file (C:\Documents and Settings\courage\My Documents\aMule Downloads\Ū¾¹)PS1772.rar): 檔案名稱、目錄名稱或磁碟區標籤語法錯誤。
2007-09-07 13:35:12: Hasher: Warning, failed to open file, skipping: C:\Documents and Settings\courage\My Documents\aMule Downloads\Ū¾¹)PS1772.rar
2007-09-07 13:35:12: CFi2007-09-07 13:35:12: Hasher: Warning, failed to open file, skipping: C:\Documents and Settings\courage\My Documents\aMule Downloads\][¾i¥Í][°·±d] [ªZ³N]¸¡¦¡©I§l¿U¿N¯×ªÕ.pdf
2007-09-07 13:35:12: CFile: Error when opening file (C:\Documents and Settings\courage\My Documents\aMule Downloads\_Âàªk½ü_ªk½ü_¦òªk_­×·Ò_¯uµ½§Ô_¹q¤l®Ñ_jjyz2.pdf): 檔案名稱、目錄名稱或磁碟區標籤語法錯誤。
TagsNo tags attached.
Fixed in Revision
Operating SystemWindows XP sp2 traditional chinese version
Attached Files

- Relationships
related to 0001177resolvedXaignar Cannot share directories with non-ascii characters in name 
related to 0001113resolvedXaignar Not share files with special characters 

-  Notes
(0002571)
Xaignar (manager)
2008-02-17 02:08

I've done some work to fix this problem, so please test current SVN and report back if the issue has been resolved.

- Issue History
Date Modified Username Field Change
2007-09-07 07:56 courage New Issue
2007-09-07 07:56 courage Operating System => Windows XP sp2 traditional chinese version
2008-01-08 07:01 Xaignar Relationship added related to 0001177
2008-01-08 07:03 Xaignar Relationship added related to 0001113
2008-01-08 07:03 Xaignar Status new => acknowledged
2008-02-17 02:08 Xaignar Note Added: 0002571
2008-09-26 21:01 Wuischke Status acknowledged => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker